The GNU Image Manipulation Program Version 2.2
----------------------------------------------

This is the stable branch of GIMP 2.2. Only bug-fixes are applied
here. New features are being added in the HEAD branch that will be
released as GIMP version 2.4.


Bugs fixed in GIMP 2.2.15
=========================

- fixed parsing of GFig files with CRLF line endings (bug #346988)
- guard against a possible stack overflow in the Sunras loader (bug #433902)
- fixed definition of datarootdir in gimptool-2.0 (bug #436386)
- fixed Perspective tool crash on Mac OS X (bug #349483)
- fixed area resizing in the Image Map plug-in (bug #439222)
- added missing library in gimptool-2.0 --libs output
- added new localizations: Occitan and Persian


Bugs fixed in GIMP 2.2.14
=========================

- avoid crashing on newer versions of the winicon format (bug #352899)
- fixed crash in Postscript plug-in (bug #353381)
- fixed handling of TABs in the text tool (bug #353132)
- fixed bug in Depth Merge plug-in (bug #355219)
- fixed bug in GimpDrawablePreview widget (bug #353639)
- fixed bug in Line Nove script (bug #357433)
- fixed bug in Ripple plug-in (bug #357431)
- save locale independent files from Fractal Explorer plug-in (bug #360095)
- fixed bug in Super Nova plug-in (bug #340073)
- be more robust against broken XCF files (bug #357809)
- fixed drawing issues in Image Map plug-in (bug #311621)
- fixed smoothing option in Fractal Explorer plug-in (bug #372671)
- load channels in the proper order when opening an XCF file (bug #378003)
- deal with floating selections in the Burn-In Animation script (bug #384096)
- fixed clipping in the GimpPreviewArea widget (bug #392692)
- fixed a potential crash in gimp-remote (bug #392111)
- work around a file-chooser problem on Windows (bug #398726)
- fixed markup of the gimp(1) manual page (bug #401145)
- fixed the fix for the right-to-left layout in layers dialog (bug #348347)
- fixed PSD save plug-in on 64bit architectures (bug #335130)
- added missing dependency in gimpui-2.0.pc file (bug #356394)
- fixed a crash in the PSD save plug-in (bug #395385)
- improved robustness of transform tool preview code (bug #420595)
- improved forward compatibility of XCF loader (bug #316207)
- don't crash in the Compressor plug-in if files can't be opened (bug #422444)
- fixed sensitivity of input fields in the Lighting plug-in (bug #359833)


Bugs fixed in GIMP 2.2.13
=========================

- avoid endless looping when loading a corrupt XCF file (bug #345802)
- fixed regression in file dialogs (bug #347544)
- fixed right-to-left layout in layers dialog (bug #348347)
- avoid a crash when loading a corrupt gradient file (bug #349996)
- fixed segfault in Warp plug-in on 64bit architectures (bug #327479)
- fixed crash in GimpDrawablePreview (bug #350760)
- fixed error in Winicon load plug-in (bug #172503)
- fixed errors in Autocrop plug-in (bug #337888)
- fixed compile errors in regression tests on OS X (bug #352221)
- fixed regression in Gaussian Blur plug-in (bug #343047)
- fixed crash when opening an RGB image in an indexed image (bug #345051)
- fixed a possible crash in the Save dialog (bug #329001)
- fixed Lighten Only layer mode on SSE2 platforms (bug #164061)
- work with newer versions of autoconf
- protect against bogus values returned from GDK (bug #340056)
- fixed handling of indexed images in the Winicon save plug-in (bug #342883)


Bugs fixed in GIMP 2.2.12
=========================

- fixed display problem in the Animation Playback plug-in (bug #338378)
- fixed misbehaviour of the user installation dialog (bug #324254)
- make sure that session-managed windows are mapped completely inside a
  monitor (bug #339099, bug #324254)
- don't use long deprecated libpng API (bug #339402)
- fixed possible segfault when closing image while saving it (bug #322978)
- halt tools when the image mode changes (bug #330083)
- fixed problem in Scale and Resize widgets (bug #336259)
- fixed wrong offset in transform PDB functions (bug #342548)
- fixed bugs in the Dicom load plug-in (bug #163256)
- make sure text widgets get all key events first (bug #301006)
- fixed problems with default values in the PNG save plug-in (bug #343284)
- fixed Save As dialog not displaying the filename (bug #343284)
- fixed compilation problem with gcc 4.1 (bug #345473)
- plugged a possible buffer overrun in the XCF parser (bug #346742)
- don't save image parasites twice in XCF files (bug #346754)


Bugs fixed in GIMP 2.2.11
=========================

- fixed handling of EXIF data in JPEG plug-in (bug #303383)
- let gimptool use pkg-config to determine compiler and linker flags at
  run-time (bug #324761)
- added GTK+ category in gimp.desktop file (bug #328012)
- fixed guides scripts to allow guides at the right and bottom (bug #328320)
- fixed icons in color picker buttons in Levels tool (bug #325745)
- fixed parameter check in Compressor plug-in
- made the internal help browser the default for all platforms (bug #329888)
- fixed handling of alpha channel in Gaussian Blur plug-in (bug #331051)
- fixed incorrect bitshifts in Win Icon plug-in (bug #330692)
- fixed a potential crash in the Animation Playback plug-in (bug #328919)
- corrected tile cache size in Unsharp Mask plug-in (bug #331344)
- fixed the import of SVG circles
- fixed rounding of resolution in BMP plug-in (bug #332501)
- fixed resolution handling in PSD load plug-in
- store resolution when saving in the PSD file format (bug #310426)
- fixed crash in Revert function (bug #333568)
- flush the projection before reading from it (bug #332933)
- fixed MMX instructions on Pentium II machines (bug #162778)
- fixed possible crash on closing a dockable (bug #338286)


Bugs fixed in GIMP 2.2.10
=========================

- fixed build error on Sun C compiler (bug #319811)
- fixed issue with Guides scripts (bug #320933)
- corrected selection display problem (bug #319029)
- fixed potential wget issue (bug #322977)
- fixed non-interactive use of gimp-edit-stroke (bug #323778)
- fixed Script-Fu crash in some locales such as Chinese (bug #163212)
- fixed build of librsvg plug-in (bug #314400)
- fixed parameter type in "plug-in-unsharp-mask" procedure (bug #325007).


Bugs fixed in GIMP 2.2.9
========================

- fixed minor problem in JPEG plug-in (bug #309091)
- allow to disable build of gtkhtml2, svg, and lcms features (bug #307704)
- fixed bug in Imagemap plug-in (bug #169698)
- handle PSD files with untitled channels (bug #312963)
- fixed build of MMX/SSE assembly code on gcc 4.0 (bug #308412)
- fixed crash in image preview code (bug #312144)
- fixed redraw of previews in Rotate Colormap plug-in (bug #172284)
- fixed redraw of previews in Filterpack plug-in (bug #160032)
- cross-compilation fixes and build fixes for Cygwin (bug #314893)
- fixed character placement in Text Circle script (bug #144588)
- made GIMP more robust against strange characters in directory names
- fixed minor issue in Dicom plug-in (bug #313008)
- deal with API change in librsvg >= 2.11.0 (bug #314400)
- fixed bug in ellipse selection (bug #315417)
- fixed build issue on Cygwin (bug #314893)
- fixed problem in ellipse selection (bug #315417)
- ease closing of iscissors outline (bug #134250)
- fixed handling of Tab key if NumLock is active (bug #317118)
- fixed problem with random number generator in QBist plug-in (bug #317355)
- raise palettes grid instead of creating a new one (bug #317435)
- fixed problem with environment maps in Lighting plug-in (bug #313872)
- fixed Gaussian Blur for small radii (bug #315953)
- fixed Select By Color tool on grayscale layers (bug #319683)


Bugs fixed in GIMP 2.2.8
========================

- fixed possible crash in plug-ins-query PDB function
- fixes to Script-Fu server mode on Win32
- fixed possible crash in win32 gimptool variant
- plugged a tiny memleak in the image display code
- plugged a tiny memleak in libgimpwidgets
- attempt to fix calling the web-browser on win32 (bug #171200)
- fixed loading of images in help-browser plug-in on win32
- fixed zoom offsets if dot-for-dot mode is disabled (bug #306476)
- fixes to Gfig parasite loading
- disabled buggy gimprc option stingy-memory-use (bug #306617)
- don't try to create a preview for a non-existant image file (bug #307672)
- fixed bug in Retinex plug-in (bug #157915)
- fixed bug in Newsprint plug-in (bug #161573)
- fixed bug in Shift plug-in (bug #308748)
- fixed bug in Grid plug-in (bug #308754)


Bugs fixed in GIMP 2.2.7
========================

- update layer previews on colormap changes (bug #301033)
- fixed loading of text layers from XCF files (bug #301028)
- when loading a PDF, honor CropBox over MediaBox (bug #301432)
- fixed incompatibility of GimpIntStore with GTK+ 2.6 (bug #301524)
- fixed navigation popup in plug-in previews (bug #301523)
- fixed handling of compression types in TIFF plug-in (bug #301557)
- fixed bug in Lighting Effects plug-in (bug #302075)
- fixed focus issues in message dialogs (bug #302400)
- fixed bug in SSE2 assembly for Lighten Only layer mode (bug #164061)
- fixed resize-window-on-zoom feature (bug #164281)
- corrected upper limit of tile-cache-size (bug #303371)


Bugs fixed in GIMP 2.2.6
========================

- reverted change to the print plug-in (see bug #169909)


Bugs fixed in GIMP 2.2.5
========================

- fixed double-click behaviour of GimpButton
- properly handle 302 redirect output from wget in URL plug-in (bug #168322)
- fixed loading of layer masks in PSD plug-in (bug #166976)
- fixed bugs in PSD save plug-in (bugs #167139 and #121871)
- fixed Reset in Scale and Resize dialogs (bug #169011)
- fixed filename encoding issues when loading Script-Fu scripts (bug #165002)
- fixed i18n build quirks (bug #169274)
- improve autoscrolling with tablets in Windows (bug #167960)
- fixed setup of size entries in tool-options (bug #169066)
- when opening images as layers, do it interactively (bug #168936)
- fixed precondition checks in gimp_drawable_transform_scale (bug #170195)
- fixed handling of resolution unit in Print Size dialog (bug #170200)
- disable "gtk-alternative-button-order" setting because our code
  doesn't honor it (bug #170543)
- fixed behaviour of selection tool when dragging from top-right (bug #143887)
- speed up conversion of grayscale images to indexed colors (bug #170801)
- fixed bug in grayscale to indexed color conversion (bug #170825)
- don't offer empty palettes for conversion to indexed color (bug #170973)
- disable search in container tree-views since it interferes with global 
  accelerators (bug #169339)
- corrected mousewheel section of default controllerrc (bug #171083)
- fixed build on amd64/gcc-4.0 (bug #300227)
- unset Keep Transparency from Color to Alpha plug-in.
- fixed crash caused by Histogram dockable in RGB mode (bug #170116)
- fixed statusbar display for negative moves (bug #171497)
- fixed a couple of problems in the BMP plug-in (bug #171306, bug #171453
  and bug #171562)
- fixed bug in Resize dialog if previews are turned off (bug #171827)
- fixed disappearing previews in Rotate Colormap plug-in (bug #172284)
- fixed deletion of fractals in Fractal Explorer plug-in (bug #172347)
- fixed preview in Deinterlace plug-in (bug #172589)
- fixed crashes on exit in some locales (bug #172581)
- fixed installation directories for message catalogs (bug #169274)
- handle deletion of layers and channels that have a floating selection
  attached (bug #168582)
- plugged some smaller memory leaks
- fixed preview in Gaussian Blur plug-in for zero radii (bug #173039)
- fixed a couple of problems in the Winicon plug-in
- fixed bug in GIF loader that was triggered with a broken GIF (bug #173119)
- fixed crash in Ink tool (bug #164272)
- let the text tool remember the last-used font (bug #171024)
- quote the print command used in the Print plug-in (bug #169909)


Bugs fixed in GIMP 2.2.4
========================

- fixed an out-of-bounds read access in the Edge plug-in (bug #164963)
- limit aspect ratio in crop tool to sane values (bug #164827)
- fixed indexed conversion on floating selections (bug #165342)
- fixed button order in resize and scale dialogs
- improved handling of UNC paths on Windows
- fixed crash in winicon save plug-in (bug #162742)
- fixed image types registration for some python plug-ins (bug #1666650)
- workaround problems with font names ending in numbers (bug #166540)
- show clone source when cloning from a different image (bug #167002)
- corrected coordinate limits in New Guide script (bug #167529)
- fixed crash in gradient editor (bug #167604)
- don't give keyboard focus to combo boxes in image window (bug #167809)
- fixed saving of MNG files with negative layer offsets (bug #166059)
- fixed use of the text tool on floating selections (bug #166829)
- don't create duplicate templates when migrating user settings (bug #167893)
- let the py-slice script ignore out-of-bounds guides (bug #167843)
- store thumbnails in temporary folder if no valid home directory exists
  (bug #167973)
- fixed Emboss plug-in for small images (bug #168022)
- avoid crashes in toolbox size allocation code (bug #162500)
- switch from display-wide grab to application-wide grab while tool
  actions are being performed (bug #162823)


Bugs fixed in GIMP 2.2.3
========================

- fixed build problem in MIDI input controller (bug #163593)
- remember last used directory in file open and save dialogs (bug #162385)
- fixed crashed in DND of indexed drawables (bug #163879)
- removed bumpmap artifacts in Lighting Effects plug-in (bug #163877)
- fixed non-interactive mode of Retinex plug-in
- fixed undo of ink strokes (bug #163670)
- fixed expose event handling in Curve Bend plug-in (bug #164207)
- added a missing pressure sensitivity toggle to Airbrush tool (bug #164237)
- fixed loading of XJT images files from read-only folders (bug #164116)
- fixed bug in the Info dialog that crashed the Crop tool (bug #163617)
- fixed yet another entry problem in the Scale Image dialog (bug #163951)
- fixed serialization of binary parasites (bug #163131)
- correctly initialize the preview in the Bumpmap plug-in (bug #162285)
- give visual feedback if a dialog is already opened (bug #164156)
- fixed saving of JPEG images with large quality settings (bug #164087)
- update the menus when selecting a component in the Channels dialog
  (bug #164195)
- fixed issues with the save dialog in the Imagemap plug-in (bug #164864)
- update filesize in JPEG dialog if size of EXIF data changes (bug #164914)


Bugs fixed in GIMP 2.2.2
========================

- let Decompose plug-in create layers with alpha channel
- fixed crash in save dialog (bug #162443)
- fixed misbehaviour in Scale and Resize dialogs (bug #162387)
- fixed preview in Imagemap plug-in (bug #162592)
- fixed handling of broken menu path translations (bug #162590)
- fixed bugs in the Sparkle plug-in and the Frosty Logo script (bug #132145)
- fixed two broken Python scripts (bug #162707)
- changed default response in Close dialog (bug #162872)
- flush the display when plug-in dialogs are disposed (bug #163084)
- fixed build problem on amd64 with gcc-4.0 (bug #163041)
- fixed problem in locales that are rendered right-to-left (bug #162663)
- fixed bug in Frosty Logo Script-Fu (bug #132145)
- raise the toolbox when it is selected from the Tools menu (bug #163381)
- improved usability of Keyboard Shortcuts editor (bug #163385)
- fixed gradient selection widget in libgimpui (bug #163427)
- workaround a problem in the MMX code (bug #162778)


Bugs fixed in GIMP 2.2.1
========================

- added python logo to EXTRA_DIST so it shows up in the tarball (bug #161716)
- fixed mempory corruption in FracalExplorer plug-in (bug #161729)
- fixed crash in gradient editor (bug #161411)
- fixed crash in unsharp mask plug-in preview code (bug #157910)
- fixed bug in unsharp mask plug-in that caused artefacts when a large blur
  radius was being used on a small drawable; minor optimizations
- removed broken asc2img Script-Fu
- fixed channel drag-n-drop (bug #161877)
- fixed misbehaviour of entries in Scale and Resize dialogs (bug #161756)
- speed up preview in several plug-ins
- fixed bug in Despeckle plug-in that caused it to run very slowly
  (bug #162129)
- fixed a crash in the error dialog (bug #162147)
- fixed parameter value range in Weave script (bug #162182)
- fixed crash in brush preview (bug #162232)
- minor improvements to the API docs
